Public Class Form1
    Inherits System.Windows.Forms.Form

#Region " Windows フォーム デザイナで生成されたコード "

    Public Sub New()
        MyBase.New()

        ' この呼び出しは Windows フォーム デザイナで必要です。
        InitializeComponent()

        ' InitializeComponent() 呼び出しの後に初期化を追加します。

    End Sub

    ' Form は dispose をオーバーライドしてコンポーネント一覧を消去します。
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    ' Windows フォーム デザイナで必要です。
    Private components As System.ComponentModel.IContainer

    ' メモ : 以下のプロシージャは、Windows フォーム デザイナで必要です。
    ' Windows フォーム デザイナを使って変更してください。  
    ' コード エディタは使用しないでください。
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        '
        'Form1
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 12)
        Me.ClientSize = New System.Drawing.Size(192, 430)
        Me.Name = "Form1"
        Me.Text = "Form1"

    End Sub

#End Region

    Protected Overrides Sub OnPaint(ByVal e As System.Windows.Forms.PaintEventArgs)

        'グラフィクスオブジェクトの取得
        Dim g As Graphics
        g = e.Graphics

        '画像ファイルの読み込み
        'アプリケーションのパスの直下の画像ファイルを読み込む
        Dim myBitmap0 As New Bitmap(Application.StartupPath + "\test0.bmp")
        Dim myBitmap1 As New Bitmap(Application.StartupPath + "\test1.bmp")
        Dim myBitmap2 As New Bitmap(Application.StartupPath + "\test2.jpg")
        Dim myBitmap3 As New Bitmap(Application.StartupPath + "\test3.gif")
        Dim myBitmap4 As New Bitmap(Application.StartupPath + "\test4.png")
        Dim myBitmap5 As New Bitmap(Application.StartupPath + "\test5.tif")

        '描画命令（画像の描画）
        g.DrawImage(myBitmap0, 0, 0)
        g.DrawImage(myBitmap1, 10, 10)
        g.DrawImage(myBitmap2, 10, 90)
        g.DrawImage(myBitmap3, 10, 170)
        g.DrawImage(myBitmap4, 10, 250)
        g.DrawImage(myBitmap5, 10, 330)

    End Sub

    Protected Overrides Sub OnLoad(ByVal e As System.EventArgs)
        'リサイズ中もOnPaintが呼び出されるようにする
        SetStyle(ControlStyles.ResizeRedraw, True)
    End Sub
End Class
